xmcmc {XDE} | R Documentation

## Object of class XdeMcmc

### Description

An object of class XdeMcmc is created by fitting the Bayesian hierarchical model to the `expressionSetList` example data.

### Usage

    data(xmcmc)

### Details

The `xmcmc` data example was obtained as described in the XDE vignette.

### Examples

    data(xmcmc)
    xmcmc

    ##ordinarily, one should not need to change the directory in an object
    ##of class XdeMcmc -- therefore, a replacment method is not defined
    pathToLogFiles <- system.file("logFiles", package="XDE")
    xmcmc@directory <- pathToLogFiles

    ##The $ operator can be used to extract chains. For instance, here we
    ##extract the c2 chain
    c2 <- xmcmc$c2
    if(require(coda)){
      plot(as.mcmc(c2))
    }

[Package XDE version 1.2.0 Index]